Bug 1013895 - RFE: Add the ability to specify a jDocbook POM version
RFE: Add the ability to specify a jDocbook POM version
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.4
Assigned To: Lee Newson
:
Depends On: 967678
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 22:14 EDT by Lee Newson
Modified: 2014-02-23 18:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-23 18:43:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-09-30 22:14:48 EDT
Currently you can't specify the version for a maven build and it will be populated from the edition/version and have "-SNAPSHOT" appended to that. It would be useful if the user can specify the version that should be used, or at the very least say whether it is a SNAPSHOT or final build.
Comment 1 Lee Newson 2014-01-14 23:47:05 EST
Added in 1.4-SNAPSHOT build 201401151434

I've added the "POM Version" metadata which will allow users to be able to specify the value that should be used in the <version> of the pom. eg:

ID = 1
...
POM Version = 1.1-SNAPSHOT
Comment 3 Matthew Casperson 2014-02-11 19:26:58 EST
Confirmed that setting the POM Version updated the version in the pom.xml file.

Updated the UI in 201402121018 to highlight "POM Version" in the content spec editor.

Note You need to log in before you can comment on or make changes to this bug.